\chapter{Internal Procedures}
\label{Ch:internal_procedures}

Procedures
\begin{itemize}
\item initialization
\begin{itemize}
\item ...
\end{itemize}
\item sort\_fragments (not necessarily every step)
\begin{itemize}
  \item put fragments in short-range list or long-range list based on minimum atom-atom distance-criterion
\end{itemize}
\item compute\_short\_range\_potential
\begin{itemize}
  \item ...
\end{itemize}
\item compute\_long\_range\_potential
\begin{itemize}
  \item ...
\end{itemize}
\item compute\_short\_range\_forces
\begin{itemize}
  \item ...
\end{itemize}
\item compute\_long\_range\_forces
\begin{itemize}
  \item ...
\end{itemize}
\item collect\_energy\_and\_forces
\begin{itemize}
  \item ...
\end{itemize}
\item receive\_system\_data
\begin{itemize}
  \item indices
  \item atom types
  \item coordinates
  \item masses
  \item multipole\_order
\end{itemize}
\item send\_coordinates
\begin{itemize}
  \item ...
\end{itemize}
\item receive\_multipoles
\begin{itemize}
  \item ...
\end{itemize}
\item ?
\begin{itemize}
  \item ...
\end{itemize}
\end{itemize}

